pouët.net

Go to bottom

Steinberg sending DMCA takedown notices for the VST2 SDK

category: general [glöplog]
The files I linked don't seem to have any mention of GPL3.
added on the 2018-07-09 20:33:01 by yzi yzi
Quote:
The reason people use VST is becase it's the de facto standard for commercial audio software on Windows.


I do not and I will not! One of the biggest mistakes I did in the past was after collecting and selecting for years Buzz-dll's only (givin a shit about VST like the demoscene-rulez said...lol), using (small, free) VST-dll's together with Buzz-dll's after 4klang VST came out! That thing was terrible incompatible also as Buzz-dll and I had tons of together working dll's. It just started to mess up also when new vstloader and wasapi stuff came out. Sry for ot. I do not want to flame the makers and the massive work from ppl like polac, bero or saga musix aso...! I just warn you: do not believe in "will run 4ever after updating the DAW, Plugins and OS". The stable house of cards will crash! The point in my last Post was maybe wrong because of my bad expiriences with VST-dll's. Thats why I use reason without any third party plugins and I even pay for it sinse version 3,... it just runs and runs and runs while saving very small files compared to other famous stuff. The output would be the same anyway equal what DAW you use... I want it stable and small. The only thing reasin is missing is the downscroller tracker-interface but I'm just too lazy atm. kiss
added on the 2018-07-09 20:51:13 by aqu aqu
Quote:
"will run 4ever after updating the DAW, Plugins and OS"

Did anyone actually claim that? :P
added on the 2018-07-09 21:34:42 by absence absence
Quote:
The files I linked don't seem to have any mention of GPL3.

The licensing terms have changed in more recent versions. The official GitHub mirror of the SDK is here.
added on the 2018-07-10 00:06:41 by Blueberry Blueberry
Now this is interesting. I read through the latest license agreement, and the fact that it explicitly excludes vst2 and explicitly states vst3 everywhere is new. Well, it gave me a tiny shock, so I compared with the one I have
Older agreemens simply covered "VST Plugins". Steinberg is really serious about phasing out vst2...
added on the 2018-07-10 11:08:12 by jco jco
according to the JUCE forum, it's still possible to get a vst2 agreement signed by steinberg though.
added on the 2018-07-10 11:09:06 by jco jco
Quote:
Did anyone actually claim that? :P

I don't know. I just worry about 'starter-thinking'. :)
added on the 2018-07-10 12:10:55 by aqu aqu
Aqu its way worse on the AU side where I dont want to touch with a 10 galaxy long pole... OS says what version you can use, and new versions are not made usually for the older ones because .. you cant. :D

But surely you are right, the plugins need updating from time to time.
added on the 2018-07-10 13:47:42 by leGend leGend
My perfectly fine and adequate Autotune 5 stopped working in OS X Yosemite. Ok, that problem can luckily be fixed with 100-150 €. I wonder if they coded something like "if OS version number is greater than x, then crash and blame the user", cash cow milking system.
added on the 2018-07-10 14:19:13 by yzi yzi
Probably not. If some cracking group found out, it'd look really bad in the news.
added on the 2018-07-10 21:55:45 by absence absence
Steinberg is good at that. Fixing Wavelab 5 to not crash on Vista+ when opening a file dialog would have been a oneliner. Instead, they wanted people to update to Wavelab 6 instead. A fine person fixed the problem to make it run again (and even documented what went wrong - clearly their implementation was broken).
I don't doubt for a second that their software is riddled with subtle bugs that can be triggered by changes in OS behaviour. That's very different from explicitly checking the OS version and crashing on purpose like yzi suggested though.
added on the 2018-07-10 23:51:21 by absence absence
Quote:
My perfectly fine and adequate Autotune 5 stopped working in OS X Yosemite. Ok, that problem can luckily be fixed with 100-150 €. I wonder if they coded something like "if OS version number is greater than x, then crash and blame the user", cash cow milking system.


Surely that's apples fault? I'm still running some Vst plugins on my windows 10 box that I used to use in windows XP.
added on the 2018-07-11 08:03:25 by djh0ffman djh0ffman

login

Go to top